//
// Color.java - Minimal subset of java.awt.Color
//
// The image is only a 6r x 6g x 6b 8bpp byte array.
// So when the color is set, we compute the appropriate palette index.
// I've guessed some of the r,g,b values for some of the static colors.
//

package nyangau.miniawt;

public class Color
  {
  public static final Color black     = new Color(0x00,0x00,0x00);
  public static final Color blue      = new Color(0x00,0x00,0xff);
  public static final Color green     = new Color(0x00,0xff,0x00);
  public static final Color cyan      = new Color(0x00,0xff,0xff);
  public static final Color red       = new Color(0xff,0x00,0x00);
  public static final Color magenta   = new Color(0xff,0x00,0xff);
  public static final Color yellow    = new Color(0xff,0xff,0x00);
  public static final Color white     = new Color(0xff,0xff,0xff);
  public static final Color darkGray  = new Color(0x40,0x40,0x40);
  public static final Color gray      = new Color(0x80,0x80,0x80);
  public static final Color lightGray = new Color(0xc0,0xc0,0xc0);
  public static final Color orange    = new Color(0xff,0x80,0x40);
  public static final Color pink      = new Color(0xff,0x80,0x80);
  protected int r, g, b;
  public byte index; // Not normally public
  public Color(int r, int g, int b)
    {
    this.r = r;
    this.g = g;
    this.b = b;
    index = (byte) ( ( ((r+0x19)/0x33) * 6 + ((g+0x19)/0x33) ) * 6 + ((b+0x19)/0x33) );
    }
  public int getRed  () { return r; }
  public int getGreen() { return g; }
  public int getBlue () { return b; }
  }
